JavaScript
import Openregister from 'openregister';
const client = new Openregister({
apiKey: process.env['OPENREGISTER_API_KEY'], // This is the default and can be omitted
});
const response = await client.search.findPersonV1();
console.log(response.pagination);import os
from openregister import Openregister
client = Openregister(
api_key=os.environ.get("OPENREGISTER_API_KEY"), # This is the default and can be omitted
)
response = client.search.find_person_v1()
print(response.pagination)package main
import (
"context"
"fmt"
"github.com/oregister/openregister-go"
"github.com/oregister/openregister-go/option"
)
func main() {
client := openregister.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Search.FindPersonV1(context.TODO(), openregister.SearchFindPersonV1Params{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Pagination)
}openregister search find-person-v1 \
--api-key 'My API Key'curl --request POST \
--url https://api.openregister.de/v1/search/person \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filters": [
{
"value": "<string>",
"min": "<string>",
"max": "<string>",
"values": [
"<string>"
],
"keywords": [
"<string>"
]
}
],
"pagination": {
"page": 123,
"per_page": 123
}
}
'
{
"results": [
{
"id": "<string>",
"name": "<string>",
"city": "<string>",
"date_of_birth": "2023-12-25",
"active": true
}
],
"pagination": {
"page": 123,
"per_page": 123,
"total_pages": 123,
"total_results": 123
}
}Search person
POST
/
v1
/
search
/
person
JavaScript
import Openregister from 'openregister';
const client = new Openregister({
apiKey: process.env['OPENREGISTER_API_KEY'], // This is the default and can be omitted
});
const response = await client.search.findPersonV1();
console.log(response.pagination);import os
from openregister import Openregister
client = Openregister(
api_key=os.environ.get("OPENREGISTER_API_KEY"), # This is the default and can be omitted
)
response = client.search.find_person_v1()
print(response.pagination)package main
import (
"context"
"fmt"
"github.com/oregister/openregister-go"
"github.com/oregister/openregister-go/option"
)
func main() {
client := openregister.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Search.FindPersonV1(context.TODO(), openregister.SearchFindPersonV1Params{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Pagination)
}openregister search find-person-v1 \
--api-key 'My API Key'for a person
Search for natural persons by name, city, date of birth, or other attributes. Find people based on their business roles and filter by criteria such as the number of companies they’re involved with or their management positions. Use this endpoint to identify individuals for due diligence or to research business networks. More information about filtering can be found here. Cost: 10 creditsAuthorizations
API Key Authentication Provide your API key as a Bearer token in the Authorization header.
Body
application/json
Was this page helpful?
⌘I

